• Home
  • Help
  • Search
  • Login
  • Register
Pages: [1]
Author Topic: What's the best software for remote access of files on my sheevaplug?  (Read 4007 times)
hungarianhc
Jr. Member
**

Karma: 2
Posts: 85


View Profile
« on: December 18, 2009, 09:12:26 PM »

I've looked into Tonido, and I'm actually quite interested in their Debian ARM package, and I know there is OpenPogo, but that doesn't run on Debian, from what I understand...

Basically, I have a drive shared as a NAS on my plug, and I'd love to access those files  remotely. What's the best way to do this? Thanks!
Logged

ruivilela
Newbie
*

Karma: 0
Posts: 21


View Profile
« Reply #1 on: December 19, 2009, 12:51:36 AM »

Depends of your host. Maybe NFS, SMB, SSH
Logged

UnaClocker
Full Member
***

Karma: 0
Posts: 131



View Profile WWW
« Reply #2 on: December 19, 2009, 10:20:12 AM »

Remotely.. VPN.. Tunnelling SSH..
Logged

SheevaPlug - 8gb class 4 SDHC primary drive, 4tb 3.5" media drive, Debian Wheezy, nginx, Samba, Shorewall

hungarianhc
Jr. Member
**

Karma: 2
Posts: 85


View Profile
« Reply #3 on: December 19, 2009, 11:31:22 AM »

I was looking for something with a UI and such... I think I'm going to give Tonido a shot  Grin
Logged

knireis
Jr. Member
**

Karma: 2
Posts: 88


View Profile
« Reply #4 on: December 19, 2009, 11:40:35 AM »

with webmin you can control a lot of settings via a webbrowser
Logged

plugcrazy
Jr. Member
**

Karma: 1
Posts: 64


View Profile
« Reply #5 on: December 21, 2009, 05:09:30 AM »

know how to install webmin?

I tried to install.. got the following:

root@debian:~# apt-get install webmin
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package webmin is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package webmin has no installation candidate
root@debian:~#
Logged

carlos
Newbie
*

Karma: 0
Posts: 6


View Profile
« Reply #6 on: December 21, 2009, 06:59:58 AM »

Download the package from webmin page and install it with dpkg:

wget http://prdownloads.sourceforge.net/webadmin/webmin_1.500_all.deb
dpkg -i webmin_1.500_all.deb

That's it.
Logged

hungarianhc
Jr. Member
**

Karma: 2
Posts: 85


View Profile
« Reply #7 on: December 21, 2009, 08:53:29 AM »

FYI I've got Tonido installed now. It's really great! You can tell this thing is still in fairly early development, but I think there's a lot of potential for this.
Logged

plugcrazy
Jr. Member
**

Karma: 1
Posts: 64


View Profile
« Reply #8 on: December 22, 2009, 12:14:45 AM »

couldnt install webmin.  unable to install perl.


root@debian:~/downloads# dpkg -i webmin_1.500_all.deb
(Reading database ... 28525 files and directories currently installed.)
Preparing to replace webmin 1.500 (using webmin_1.500_all.deb) ...
Unpacking replacement webmin ...
dpkg: dependency problems prevent configuration of webmin:
 webmin depends on libnet-ssleay-perl; however:
  Package libnet-ssleay-perl is not installed.
 webmin depends on libauthen-pam-perl; however:
  Package libauthen-pam-perl is not installed.
 webmin depends on libio-pty-perl; however:
  Package libio-pty-perl is not installed.
 webmin depends on libmd5-perl; however:
  Package libmd5-perl is not installed.
dpkg: error processing webmin (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 webmin


Whats the package for perl?
- PC
Logged

knireis
Jr. Member
**

Karma: 2
Posts: 88


View Profile
« Reply #9 on: December 22, 2009, 01:11:16 AM »

couldnt install webmin.  unable to install perl.


root@debian:~/downloads# dpkg -i webmin_1.500_all.deb
(Reading database ... 28525 files and directories currently installed.)
Preparing to replace webmin 1.500 (using webmin_1.500_all.deb) ...
Unpacking replacement webmin ...
dpkg: dependency problems prevent configuration of webmin:
 webmin depends on libnet-ssleay-perl; however:
  Package libnet-ssleay-perl is not installed.
 webmin depends on libauthen-pam-perl; however:
  Package libauthen-pam-perl is not installed.
 webmin depends on libio-pty-perl; however:
  Package libio-pty-perl is not installed.
 webmin depends on libmd5-perl; however:
  Package libmd5-perl is not installed.
dpkg: error processing webmin (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 webmin


Whats the package for perl?
- PC

apt-get install -f
this will solve dependencies
Logged

plugcrazy
Jr. Member
**

Karma: 1
Posts: 64


View Profile
« Reply #10 on: December 22, 2009, 02:08:53 AM »

Thanks!!!!!!!!!!!!
Logged

Pages: [1]
Print
Jump to: